--[[
Description comportement : le robot avance et évite les obstacles qu'il rencontre en tournant sur sa droite
]]--

--Nombre de rotation droite à effectuer
NbRotation = 0;

--Fait tourner le robot sur la droite si une rotation est demandé
function MaRotation ()
	if (NbRotation == 0) then
		StopTurning()
		return
	end
	
	NbRotation = NbRotation - 1
	TurnRight()
end

function Run (timeStep) 	

	--Récupere la distance jusqu'au prochain obstacle
	Distance = DistanceToNextObstacle()
	
	--Tourne si besoin
	MaRotation()	
	MoveForward()
	
	--Si il n'y a aucun obstacle dans notre champ de vision ou si la distance avec l'obstacle est grande on sort
	if (Distance == -1 or Distance > 15) then		
		return;
	end
		
	
	NbRotation = 10
	
	if (Distance > 5) then		
		StopMoving()
	else
		MoveBackward()
	end	
	
end
